Subject: Re: BUG: 'error: invalid key: pager.show_ref' on 'git show_ref'

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Feb 2015 12:14:35 -0800

Jeff King <[email-masked]> writes:

> This is highlighting the problem with "pager.*" that Junio mentioned
> recently, which is that the keyname has arbitrary data,...

Yes, even if it is not "arbitrary" (imagine we limit ourselves to
the official set of commands we know about), the naming rule for the
"git" subcommand names should not be dictated by the naming rule for
the configuration variables, as they are unrelated.

That is one of the reasons why I had the "unbounded set, including
the ones under our control such as subcommand names" in the draft
update for the guideline.  I dropped that part after the discussion
to keep other "obviously agreed" parts moving, but we may have to
revisit it later.